"""
Identifier:     tests/test_status.py
Name:           test_status.py
Description:    test CsstStatus
Author:         Bo Zhang
Created:        2022-09-13
Modified-History:
    2022-09-13, Bo Zhang, created
    2022-09-13, Bo Zhang, added CsstMbiDataManager
"""
import unittest
from csst_common.status import CsstStatus


class TestCsstStatus(unittest.TestCase):
    def test_params(self):
        self.assertTrue(CsstStatus(0) == CsstStatus.PERFECT)
        self.assertTrue(CsstStatus(1) == CsstStatus.WARNING)
        self.assertTrue(CsstStatus(2) == CsstStatus.ERROR)
